import type { ReadonlySignal } from '@preact/signals';
import type { SelectItem } from '../Select/Select.types';
interface UseSelectFocusOptions {
    activeItems: ReadonlySignal<SelectItem[]>;
    filteredItems: ReadonlySignal<SelectItem[]>;
}
export interface SelectFocus {
    focused: ReadonlySignal<SelectItem | 'input' | undefined>;
    moveFocusToFirstItem(): void;
    moveFocusToLastItem(): void;
    moveFocusToNextItem(): void;
    moveFocusToPreviousItem(): void;
    focusInput(): void;
    focusItem(item: SelectItem): void;
    focusDefaultItem(): void;
    focusNothing(): void;
}
export declare const useSelectFocus: (options: UseSelectFocusOptions) => SelectFocus;
export declare const focusedIsItem: (focused: SelectFocus["focused"]["value"]) => focused is SelectItem;
export {};
